unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls, ToolWin, MFileExplorer, Menus, ImgList;

type
  TfrmMain = class(TForm)
    CoolBar: TCoolBar;
    ToolBar: TToolBar;
    Panel1: TPanel;
    sbUp: TToolButton;
    sbView: TToolButton;
    cbMask: TComboBox;
    sb: TStatusBar;
    Panel2: TPanel;
    ImageList: TImageList;
    ToolButton6: TToolButton;
    ViewMenu: TPopupMenu;
    pmLarge: TMenuItem;
    pmSmall: TMenuItem;
    pmList: TMenuItem;
    pmDetail: TMenuItem;
    Panel3: TPanel;
    Image1: TImage;
    Label1: TLabel;
    MFileExplorer: TMFileExplorer;
    procedure cbMaskChange(Sender: TObject);
    procedure cmStyle(Sender: TObject);
    procedure cmUp(Sender: TObject);
    procedure MFileExplorerChange(Sender: TObject; Item: TListItem;
      Change: TItemChange);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;                       

implementation

{$R *.DFM}

procedure TfrmMain.cbMaskChange(Sender: TObject);
begin
  mfileexplorer.Mask:=cbmask.text;
end;

procedure TfrmMain.cmStyle(Sender: TObject);
begin
  with tmenuitem(sender) do begin
    mfileexplorer.viewstyle:=tviewstyle(tag);
    checked:=true;
  end;
end;

procedure TfrmMain.cmUp(Sender: TObject);
begin
  mfileexplorer.OneLevelUp;
end;

procedure TfrmMain.MFileExplorerChange(Sender: TObject; Item: TListItem;
  Change: TItemChange);
begin
  caption:='Exploring - '+mfileexplorer.directory;
  application.title:=caption;
  sb.panels[0].text:=inttostr(mfileexplorer.selectedcount)+' object(s)';
  if assigned(mfileexplorer.selected) then begin
    sb.panels[0].text:=sb.panels[0].text+' selected';
    if otfile in mfileexplorer.selectedtypes then
      sb.panels[1].text:=formatfloat('#,#0 KB',mfileexplorer.selectedsize/1024)
    else
      sb.panels[1].text:='';
  end else
    if mfileexplorer.selectedtypes=[] then
      sb.panels[1].text:=formatfloat('#,#0 MB (',mfileexplorer.diskcapacity/1024)+formatfloat('0,# MB free)',mfileexplorer.diskfree/1024)
    else
      sb.panels[1].text:='';
end;

procedure TfrmMain.FormShow(Sender: TObject);
begin
  panel3.width:=40;
  label1.caption:=mfileexplorer.about;
end;

end.
